# Uses of Class
org.apache.sysds.runtime.instructions.ooc.IndexingOOCInstruction.Sector

Packages that use IndexingOOCInstruction.Sector
Package
Description
org.apache.sysds.runtime.instructions.ooc

## Uses of IndexingOOCInstruction.Sector in org.apache.sysds.runtime.instructions.ooc

Subclasses of IndexingOOCInstruction.Sector in org.apache.sysds.runtime.instructions.ooc
Modifier and Type
Class
Description
`static class`
`IndexingOOCInstruction.Sector1<T>`
`static class`
`IndexingOOCInstruction.Sector2Col<T>`
`static class`
`IndexingOOCInstruction.Sector2Row<T>`
`static class`
`IndexingOOCInstruction.Sector4<T>`
Method parameters in org.apache.sysds.runtime.instructions.ooc with type arguments of type IndexingOOCInstruction.Sector
Modifier and Type
Method
Description
`boolean`
IndexingOOCInstruction.BlockAligner.`putNext(MatrixIndexes index, T data, BiConsumer<MatrixIndexes,IndexingOOCInstruction.Sector<T>> emitter)`